function StepFlow()
{
  var TransmissionJson = function(ssocket, Command, JsonString, Callback){StepFlow.prototype._TransmissionJson_(ssocket, Command, JsonString, Callback);};
  var SaveFinished = function(that, ssocket, Mode){StepFlow.prototype._SaveFinished_(that, ssocket, Mode);};
//  var SaveFinished_NoXml = function(that, ssocket){StepFlow.prototype._SaveFinished_NoXml_(that, ssocket);};

  this.SaveStart = function(that, Mode){StepFlow.prototype._SaveStart_(that, Mode);};
  var SaveJson = function(that, ssocket, Mode){StepFlow.prototype._SaveJson_(that, ssocket, Mode);};
  var SaveXml = function(Mode, that){StepFlow.prototype._SaveXml_(Mode, that);};
  //Runtime需要的xml
  var ToOpcua = function(that){StepFlow.prototype._ToOpcua_(that);};
  var ToMqtt = function(that){StepFlow.prototype._ToMqtt_(that);};
  var ToPidOperation = function(that){StepFlow.prototype._ToPidOperation_(that);};
  var ToPidOperationAndOpcua = function(that){StepFlow.prototype._ToPidOperationAndOpcua_(that);};
  var ToAllModuleDriver = function(that){StepFlow.prototype._ToAllModuleDriver_(that);};
  var ToAll = function(that){StepFlow.prototype._ToAll_(that);};
  //專案儲存
  var RtuToOpcua = function(that, ssocket, Mode){StepFlow.prototype._RtuToOpcua_(that, ssocket, Mode);};
  var TcpToOpcua = function(that, ssocket, Mode){StepFlow.prototype._TcpToOpcua_(that, ssocket, Mode);};
  var AsciiToOpcua = function(that, ssocket, Mode){StepFlow.prototype._AsciiToOpcua_(that, ssocket, Mode);};
  var MqttToOpcua = function(that, ssocket, Mode){StepFlow.prototype._MqttToOpcua_(that, ssocket, Mode);};
  var RtuToMqtt = function(that, ssocket, Mode){StepFlow.prototype._RtuToMqtt_(that, ssocket, Mode);};
  var TcpToMqtt = function(that, ssocket, Mode){StepFlow.prototype._TcpToMqtt_(that, ssocket, Mode);};
  var AsciiToMqtt = function(that, ssocket, Mode){StepFlow.prototype._AsciiToMqtt_(that, ssocket, Mode);};
  
  var RtuToMqttJson = function(that, ssocket, Mode){StepFlow.prototype._RtuToMqttJson_(that, ssocket, Mode);};
  var TcpToMqttJson = function(that, ssocket, Mode){StepFlow.prototype._TcpToMqttJson_(that, ssocket, Mode);};
  var AsciiToMqttJson = function(that, ssocket, Mode){StepFlow.prototype._AsciiToMqttJson_(that, ssocket, Mode);};
  
  var PidOperation = function(that, ssocket, Mode){StepFlow.prototype._PidOperation_(that, ssocket, Mode);};
  var PidOperationToOpcua = function(that, ssocket, Mode){StepFlow.prototype._PidOperationToOpcua_(that, ssocket, Mode);};

  var IftttConditionTrigger = function(that, ssocket, Mode){StepFlow.prototype._IftttConditionTrigger_(that, ssocket, Mode);};

  var TcpToMsSql = function(that, ssocket){StepFlow.prototype._TcpToMsSql_(that, ssocket, Mode);};
  var RtuToMsSql = function(that, ssocket){StepFlow.prototype._RtuToMsSql_(that, ssocket, Mode);};

  //共用
  this.AllEnableElement = function(){StepFlow.prototype._AllEnableElement_();};
  this.ClickElement = function(that, TopMenuId, LeftListId){StepFlow.prototype._ClickElement_(that, TopMenuId, LeftListId);};
  this.DisableElement = function(TopMenuId, LeftListId){StepFlow.prototype._DisableElement_(TopMenuId, LeftListId);};
  this.ShowStepFlowRow = function(Index){StepFlow.prototype._ShowStepFlowRow_(Index);};
  var ChangeDivCss = function(that){StepFlow.prototype._ChangeDivCss_(that);};
  this.RunProject = function(that){StepFlow.prototype._RunProject_(that);};
  this.RunProjectNoHide = function(that){StepFlow.prototype._RunProjectNoHide_(that);};
  this.RunProject_BackstageService = function(that){StepFlow.prototype._RunProject_BackstageService_(that);};

  var RunMainProgram = function(that){StepFlow.prototype._RunMainProgram_(that);};
  var RunMainProgramNoHide = function(that){StepFlow.prototype._RunMainProgramNoHide_(that);};
  var RunMqttBroker = function(){StepFlow.prototype._RunMqttBroker_();};
  this.SelectComPortSetting = function(that){StepFlow.prototype._SelectComPortSetting_(that);};
  this.StartFingerIcon = function(){StepFlow.prototype._StartFingerIcon_();};
  var StopFingerIcon = function(){StepFlow.prototype._StopFingerIcon_();};
  
  //點介面  IoT平台
  this.SelectBrokerSetting = function(that){StepFlow.prototype._SelectBrokerSetting_(that);};
  this.SelectMqttGroupConnection = function(that){StepFlow.prototype._SelectMqttGroupConnection_(that);};
  this.SelectAzureSetting = function(that){StepFlow.prototype._SelectAzureSetting_(that);};
  this.SelectOpcUaLocalServer = function(that){StepFlow.prototype._SelectOpcUaLocalServer_(that);};
  //點介面  轉換傳輸
  this.MasterRtuToOpcua = function(that){StepFlow.prototype._MasterRtuToOpcua_(that);};
  this.MasterTcpToOpcua = function(that){StepFlow.prototype._MasterTcpToOpcua_(that);};
  this.MasterAsciiToOpcua = function(that){StepFlow.prototype._MasterAsciiToOpcua_(that);};
  this.SelectMqttToOpcua = function(that){StepFlow.prototype._SelectMqttToOpcua_(that);};
  this.AllModuleToOpcua = function(that){StepFlow.prototype._AllModuleToOpcua_(that);};

  this.MasterRtuToMqtt = function(that){StepFlow.prototype._MasterRtuToMqtt_(that);};
  this.MasterTcpToMqtt = function(that){StepFlow.prototype._MasterTcpToMqtt_(that);};
  this.MasterAsciiToMqtt = function(that){StepFlow.prototype._MasterAsciiToMqtt_(that);};

  this.MasterRtuToMqttJson = function(that){StepFlow.prototype._MasterRtuToMqttJson_(that);};
  this.MasterTcpToMqttJson = function(that){StepFlow.prototype._MasterTcpToMqttJson_(that);};
  this.MasterAsciiToMqttJson = function(that){StepFlow.prototype._MasterAsciiToMqttJson_(that);};

  this.MqttToIoTCloud = function(that){StepFlow.prototype._MqttToIoTCloud_(that);};
  //點介面  模組
  this.MasterRtuModule = function(that){StepFlow.prototype._MasterRtuModule_(that);};
  this.MasterTcpModule = function(that){StepFlow.prototype._MasterTcpModule_(that);};
  this.MasterAsciiModule = function(that){StepFlow.prototype._MasterAsciiModule_(that);};
  this.MqttModule = function(that){StepFlow.prototype._MqttModule_(that);};
  this.AllModule = function(that){StepFlow.prototype._AllModule_(that);};
  this.MasterModbusModule = function(that){StepFlow.prototype._MasterModbusModule_(that);};
  this.UnlockAllModule = function(that){StepFlow.prototype._UnlockAllModule_(that);};
  //點介面  進階功能
  this.SelectPidOperation = function(that){StepFlow.prototype._SelectPidOperation_(that);};
  this.SelectIftttConditionTrigger = function(that){StepFlow.prototype._SelectIftttConditionTrigger_(that);};
  this.SelectMsSqlConnection = function(that){StepFlow.prototype._SelectMsSqlConnection_(that);};
  this.SelectRtuModuleRecord = function(that){StepFlow.prototype._SelectRtuModuleRecord_(that);};
  this.SelectTcpModuleRecord = function(that){StepFlow.prototype._SelectTcpModuleRecord_(that);};
  this.SelectMysqlConnection = function(that){StepFlow.prototype._SelectMysqlConnection_(that);};
  this.SelectRtuToMysqlConnection = function(that){StepFlow.prototype._SelectRtuToMysqlConnection_(that);};
  this.SelectTcpToMysqlConnection = function(that){StepFlow.prototype._SelectTcpToMysqlConnection_(that);};
  this.SelectMqttToMysql = function(that){StepFlow.prototype._SelectMqttToMysql_(that);};
  this.SelectMqttToMsSql = function(that){StepFlow.prototype._SelectMqttToMsSql_(that);};

  //點介面  即時資訊顯示
  this.SelectIoStatus = function(that){StepFlow.prototype._SelectIoStatus_(that);};

  //點介面 檔案管理
  this.SelectOpcuaCertificate = function(that){StepFlow.prototype._SelectOpcuaCertificate_(that);};
  this.SelectMqttCertificate = function(that){StepFlow.prototype._SelectMqttCertificate_(that);};

  //鎖住步驟介面
  this.LockAllUi = function(){StepFlow.prototype._LockAllUi_();};
  //解開步驟介面
  this.UnLockAllUi = function(){StepFlow.prototype._UnLockAllUi_();};
}